# GnomeMenu.py
#
# Moleskine: a source code editor for the GNOME desktop
#
# Copyright (c) 2001   Michele Campeotto <micampe@f2s.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

from gnome.ui import *
import GDK

import menu

file_menu = [
    UIINFO_MENU_NEW_ITEM('_New', 'Create a new document', menu.new_document),
    UIINFO_MENU_OPEN_ITEM(menu.open_document),
    UIINFO_SUBTREE_STOCK('Open pre_vious', [], STOCK_MENU_BOOK_OPEN),
    UIINFO_SEPARATOR,
    UIINFO_MENU_SAVE_ITEM(menu.save_document),
    UIINFO_MENU_SAVE_AS_ITEM(menu.save_as_document),
    UIINFO_MENU_REVERT_ITEM(menu.revert_document),
    UIINFO_SEPARATOR,
    (APP_UI_ITEM, 'Next', None, menu.file_next, None,
     APP_PIXMAP_STOCK, STOCK_MENU_FORWARD, GDK.period, GDK.CONTROL_MASK),
    (APP_UI_ITEM, 'Previous', None, menu.file_previous, None,
     APP_PIXMAP_STOCK, STOCK_MENU_BACK, GDK.comma, GDK.CONTROL_MASK),
    UIINFO_SEPARATOR,
    UIINFO_MENU_CLOSE_ITEM(menu.close_document),
    UIINFO_MENU_EXIT_ITEM(menu.exit)
]

edit_menu = [
    UIINFO_MENU_UNDO_ITEM(menu.undo),
    UIINFO_MENU_REDO_ITEM(menu.redo),
    UIINFO_MENU_CUT_ITEM(menu.cut),
    UIINFO_MENU_COPY_ITEM(menu.copy),
    UIINFO_MENU_PASTE_ITEM(menu.paste),
    UIINFO_SEPARATOR,
    UIINFO_MENU_FIND_ITEM(menu.find),
    UIINFO_MENU_FIND_AGAIN_ITEM(menu.find_next),
    (APP_UI_ITEM, 'Find _Previous', 'Find previous ocurrence of the string',
     menu.find_previous, None, APP_PIXMAP_STOCK, STOCK_MENU_SEARCH,
     GDK.F6, GDK.CONTROL_MASK + GDK.SHIFT_MASK),
    UIINFO_SEPARATOR,
    UIINFO_MENU_REPLACE_ITEM(menu.replace),
    (APP_UI_ITEM, 'Replace Next',
     'Find and replace next string in current file',
     menu.replace_next, None, APP_PIXMAP_STOCK, STOCK_MENU_SRCHRPL,
     GDK.F7, GDK.CONTROL_MASK),
]

settings_menu = [
    UIINFO_MENU_PREFERENCES_ITEM(menu.options),
    UIINFO_SEPARATOR,
    UIINFO_ITEM_STOCK('Languages _settings...', None,
                      menu.lang_settings, STOCK_MENU_PROP),
    UIINFO_SUBTREE_STOCK('Change _language', [], STOCK_MENU_JUMP_TO)
]

tools_menu = [
    (APP_UI_ITEM, '_Next bookmark', None, menu.next_bookmark, None,
     APP_PIXMAP_STOCK, STOCK_MENU_FORWARD, GDK.F2, 0),
    (APP_UI_ITEM, '_Previous bookmark', None, menu.prev_bookmark, None,
     APP_PIXMAP_STOCK, STOCK_MENU_BACK, GDK.F2, GDK.SHIFT_MASK),
    (APP_UI_ITEM, '_Toggle bookmark', None, menu.toggle_bookmark, None,
     APP_PIXMAP_STOCK, STOCK_MENU_BOOK_YELLOW, GDK.F2, GDK.CONTROL_MASK),
    UIINFO_ITEM_STOCK('_Clear bookmarks', None,
                      menu.clear_bookmarks, STOCK_MENU_TRASH_FULL),
]

help_menu = [
    UIINFO_MENU_ABOUT_ITEM(menu.about)
]

main_menu = [
    UIINFO_SUBTREE('_File', file_menu),
    UIINFO_SUBTREE('_Edit', edit_menu),
    UIINFO_SUBTREE('_Settings', settings_menu),
    UIINFO_SUBTREE('_Tools', tools_menu),
    UIINFO_SUBTREE('_Help', help_menu)
]
